# $Revision: 1.180 $, $Date: 2008/10/08 22:14:47 $
%include	/usr/lib/rpm/macros.perl
Summary:	Analyzes system logs
Summary(pl.UTF-8):	Logwatch - analizator logów systemowych
Name:		logwatch
Version:	7.3.6
Release:	4
License:	MIT
Group:		Applications/System
# Path for stable versions:
Source0:	ftp://ftp.logwatch.org/pub/linux/%{name}-%{version}.tar.gz
# Source0-md5:	937d982006b2a76a83edfcfd2e5a9d7d
# Path for pre-versions:
#Source0:	ftp://ftp.kaybee.org/pub/beta/linux/%{name}-pre%{version}.tar.gz
# https://po2.uni-stuttgart.de/~rusjako/logwatch/default.html
Source1:	https://po2.uni-stuttgart.de/~rusjako/logwatch/%{name}-syslog-ng.tar.gz
# Source1-md5:	491e353044e93d8c31484cff8f252a68
Source2:	%{name}.sysconfig
Source3:	%{name}-cron.sh
Source4:	%{name}.cron
Source5:	%{name}.tmpwatch
Patch0:		%{name}-log_conf.patch
Patch1:		%{name}-archives.patch
Patch2:		%{name}-syslog-ng.patch
URL:		http://www.logwatch.org/
BuildRequires:	rpm-perlprov
Requires:	crondaemon
Requires:	gawk
Requires:	perl-modules
Requires:	smtpdaemon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_logwatchdir	%{_datadir}/%{name}
%define		_logwatchconf	%{_sysconfdir}/%{name}

%description
LogWatch is a customizable, pluggable log-monitoring system. It will
go through your logs for a given period of time and make a report in
the areas that you wish with the detail that you wish. Easy to use -
works right out of the package on almost all systems.

%description -l pl.UTF-8
Pakiet zawiera logwatch - program przeznaczony do automatycznego
analizowania logów systemowych i przesyłaniu ich po wstępnej obróbce
pocztą elektroniczną do administratora systemu. Logwatch jest łatwy w
użyciu i może pracować na większości systemów.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_logwatchconf}/{conf,scripts},/etc/{cron.d,sysconfig,tmpwatch}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_logwatchdir}/{lib,default.conf},/var/cache/logwatch}

install conf/logwatch.conf $RPM_BUILD_ROOT%{_logwatchconf}/conf
install conf/logwatch.conf $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
# Where to put it The Right Way(TM)?
install lib/Logwatch.pm $RPM_BUILD_ROOT%{_logwatchdir}/lib

cp -a conf/html $RPM_BUILD_ROOT%{_logwatchconf}/conf
cp -a conf/html $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
cp -a conf/services $RPM_BUILD_ROOT%{_logwatchconf}/conf
cp -a conf/services $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
cp -a conf/logfiles $RPM_BUILD_ROOT%{_logwatchconf}/conf
cp -a conf/logfiles $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
cp -a scripts $RPM_BUILD_ROOT%{_logwatchdir}
install syslog-ng.conf $RPM_BUILD_ROOT%{_logwatchconf}/conf/services
install syslog-ng $RPM_BUILD_ROOT%{_logwatchdir}/scripts/services

mv $RPM_BUILD_ROOT%{_logwatchdir}/scripts/logwatch.pl $RPM_BUILD_ROOT%{_sbindir}/logwatch

ln -sf %{_sbindir}/logwatch $RPM_BUILD_ROOT%{_logwatchdir}/scripts/logwatch.pl

install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/logwatch-cron
install %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.d/logwatch
install %{SOURCE5} $RPM_BUILD_ROOT/etc/tmpwatch/%{name}.conf
install logwatch.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# needed for smooth upgrade from < 4.3.2 package
if [ -d /etc/log.d/conf ]; then
	mv -f /etc/log.d/conf/logwatch.conf* /etc/log.d/ || :
	mv -f /etc/log.d/conf/services /etc/log.d/ || :
	mv -f /etc/log.d/conf/logfiles /etc/log.d/ || :
# needed for smooth upgrade from < 7.0 package:
elif [ -d /etc/log.d ]; then
	echo "Moving configuration from /etc/log.d to /etc/logwatch/conf..."
	if [ ! -d /etc/logwatch/conf ]; then
		mkdir -p /etc/logwatch/conf
	fi
	mv -f /etc/log.d/logwatch.conf* /etc/logwatch/conf/ || :
	mv -f /etc/log.d/services /etc/logwatch/conf/ || :
	mv -f /etc/log.d/logfiles /etc/logwatch/conf/ || :
fi

%files
%defattr(644,root,root,755)
%doc README HOWTO-* project/{CHANGES,TODO}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/logwatch
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/logwatch.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/html/*.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/logfiles/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/services/*.conf
%attr(750,root,root) %dir %{_logwatchconf}
%attr(750,root,root) %dir %{_logwatchconf}/conf
%attr(750,root,root) %dir %{_logwatchconf}/conf/html
%attr(750,root,root) %dir %{_logwatchconf}/conf/logfiles
%attr(750,root,root) %dir %{_logwatchconf}/conf/services
%attr(750,root,root) %dir %{_logwatchconf}/scripts
%attr(755,root,root) %{_logwatchdir}
%attr(755,root,root) %{_sbindir}/logwatch
%attr(755,root,root) %{_sbindir}/logwatch-cron
%attr(750,root,root) %dir /var/cache/logwatch
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: logwatch.spec,v $
Revision 1.180  2008/10/08 22:14:47  glen
- run cron earlier and from own crontab, so that email subject matters; rel 4

Revision 1.179  2008/10/06 06:53:41  glen
- match startup/shutdown from syslog-ng 2.0.9

Revision 1.178  2008/10/06 06:33:01  glen
- junk removal cleanup

Revision 1.177  2008/10/06 06:28:18  glen
- fix archive/* patchs for pld

Revision 1.176  2008/06/19 21:27:16  wolvverine
- add script for syslog-ng

Revision 1.175  2007/05/20 01:54:27  wolvverine
- up to 7.3.6

Revision 1.174  2007/05/16 21:36:58  blues
- 7.3.5

Revision 1.173  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.172  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.171  2007/02/09 10:37:53  wolvverine
- up to 7.3.2

Revision 1.170  2006/09/16 09:48:54  blues
- 7.3.1 - removed outdated gawk patch, not tested yet

Revision 1.169  2006/07/23 02:22:03  havner
- s/00-logwatch/0logowatch, let anacron run first
- rel 3

Revision 1.168  2006/04/10 07:54:19  blues
- added tmpwatch file for /var/cache/logwatch cleanup

Revision 1.167  2006/04/09 15:01:58  blues
- rel.2 - added missing configs, needed for html generation. STBR to AC!!

Revision 1.166  2006/03/04 13:16:12  dzeus
- rel. 1

Revision 1.165  2006/01/23 09:14:18  wolvverine
- v 7.2.1
- to tests

Revision 1.164  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.163  2005/11/16 20:19:42  blues
- don't fail on trigger errors.

Revision 1.162  2005/11/14 08:58:34  blues
- 7.1 - added gawk patch

Revision 1.161  2005/10/13 09:50:03  blues
- one more dir

Revision 1.160  2005/10/13 09:40:41  blues
- 7.0 - removed not needed config patch - this version is a bit FHS
  compliant.

Revision 1.159  2005/06/14 07:54:00  blues
- 6.1.2

Revision 1.158  2005/06/10 10:40:24  blues
- 6.1.1 - NFY

Revision 1.157  2005/05/21 18:34:41  blues
- 6.1 - announced as really good version :D

Revision 1.156  2005/04/26 09:18:37  glen
- brr, the html mail is not qp-encoded. remove that header

Revision 1.155  2005/04/26 08:55:44  glen
- fix broken html in --output=html-embed

Revision 1.154  2005/04/25 19:58:45  blues
- 6.0.2 - removed (almoust) all of the patches

Revision 1.153  2005/04/25 13:15:11  glen
- not config for cron.daily script
- cleanup backups improved

Revision 1.152  2005/04/25 12:40:41  blues
- release 2 - added sendmail.patch, updated http patch (removed usage of
  diagnostics module)

Revision 1.151  2005/04/22 10:22:51  blues
- postfix patch readded - new things catched: (un)deliverable and many more

Revision 1.150  2005/04/22 07:48:18  blues
- updated to 20050422 snap - removed most of the patches

Revision 1.149  2005/04/10 13:33:43  glen
- remove backup files

Revision 1.148  2005/04/06 20:08:07  blues
- updated zz-network filter to 0.12

Revision 1.147  2005/04/04 19:04:25  blues
- release 4 - added zz-network filter (interfaces and traffic stats) by
  laurent.dufour@havas.com and pop3 patch by Chris Smith
  <chris@interspire.com>

Revision 1.146  2005/03/06 11:42:31  blues
- added http patch

Revision 1.145  2005/03/01 10:01:30  blues
- added clamav-milter patch

Revision 1.144  2005/02/28 15:52:51  blues
- release 3 - addded pam_unix patch. STBR

Revision 1.143  2005/02/25 14:28:43  blues
- added cron-job with possibility to put generated reports to file

Revision 1.142  2005/02/25 12:20:47  blues
- release 2 - sendmail patch added - fixed other patches STBR

Revision 1.141  2005/02/24 23:23:40  blues
- release 1 - works nice STBR

Revision 1.140  2005/02/24 23:09:17  blues
- 6.0.1 ...

Revision 1.139  2005/02/24 22:50:28  blues
- all patches updated, added missing parts - to be tested now.

Revision 1.138  2005/02/24 22:05:44  blues
- started update to final 6.0 - removed included patches, some needs to be
  reviewed. NFY

Revision 1.137  2005/02/12 18:36:24  blues
- added mailscanner update, not tested...

Revision 1.136  2004/10/31 20:08:50  blues
- seems to be working nice, release 0.pre.1

Revision 1.135  2004/10/31 16:32:20  blues
- updated/removed patches

Revision 1.134  2004/10/31 14:20:36  blues
- checked which patches has to be updated...

Revision 1.133  2004/10/30 16:13:39  blues
- pre6.0 - started upgrade, NFY, needs to review all of the patches

Revision 1.132  2004/10/08 06:07:37  blues
- release 14 - rebuild with fixed secure patch

Revision 1.131  2004/10/07 08:07:24  blues
- release 13

Revision 1.130  2004/10/02 17:42:34  blues
- added saslauthd filter, pam_unix.conf, secure, secure.conf and pop3.conf
 patches. To be tested.

Revision 1.129  2004/10/01 18:13:23  blues
- release 12 - added netscreen filter and cisco filter by
  Laurent.Dufour@havasit.com

Revision 1.128  2004/09/29 14:16:30  blues
- patch by Laurent.Dufour@havasit.com, not applied (needs fixes)

Revision 1.127  2004/09/29 11:20:38  gotar
- handle rejected unknown clients by postfix

Revision 1.126  2004/09/28 14:16:03  blues
- release 11 - update cisco filter

Revision 1.125  2004/09/23 13:42:57  blues
- release 10

Revision 1.124  2004/09/22 08:05:11  blues
- release 9.5 - updated http and sshd patches

Revision 1.123  2004/09/20 13:13:52  jajcus
- make postfix logwatch plugin much less verbose when $Detail is Low

Revision 1.122  2004/09/11 17:54:37  blues
- added script-services patch by Kenneth Porter <shiva@sewingwitch.com>

Revision 1.121  2004/09/08 13:19:01  jajcus
- amavisd-new-log_format patch fixed
- postfix patch updated (mostly 2.1 changes, I think)

Revision 1.120  2004/09/08 11:07:43  jajcus
- -amavisd-new-log_format updated so it works for me. I hope I dind't break it for anyone else

Revision 1.119  2004/09/06 10:19:38  gotar
- patch confirmed to work, release 9

Revision 1.118  2004/09/05 22:31:44  gotar
- patch for new amavisd-new default log format, release 8.1

Revision 1.117  2004/09/05 10:35:55  gotar
- chmod -R g+rx,o+rx %{_logwatchdir} (lib/Logwatch.pm has got +x but %files
  section is much more simplier),
- chmod -R g+r(x) %{_logwatchconf},
- release 8.

Revision 1.116  2004/08/30 11:00:56  snurf
- typos

Revision 1.115  2004/08/30 10:54:26  blues
- release 7 - info about damaged mailbox

Revision 1.114  2004/08/23 08:32:24  blues
- release 6 - added sshd patch (entry about locked accounts)

Revision 1.113  2004/08/19 14:38:22  blues
- release 5 - added pam_unix patch (missing gdm entry)

Revision 1.112  2004/08/16 07:41:46  blues
- release 4 - added html output generation patch by
  Laurent.Dufour@havasit.com

Revision 1.111  2004/08/16 07:28:22  blues
- added zz-disk_space.patch by Michal Kochanowicz <michal@michal.waw.pl>

Revision 1.110  2004/07/15 12:13:15  blues
- release 3; added http patch with important fixes, samba patch updated

Revision 1.109  2004/07/01 10:42:01  blues
- release 2

Revision 1.108  2004/06/23 20:56:35  blues
- release 1

Revision 1.107  2004/06/23 18:37:01  blues
- 5.2.2, removed almoust all of the patches (included)

Revision 1.106  2004/06/22 14:59:58  blues
- started upgrade to 5.2.1

Revision 1.105  2004/06/22 09:34:58  blues
- added BR: gawk (suxx), http, sendmail-largeboxes and main patches

Revision 1.104  2004/06/21 22:17:01  blues
- release 0.9, not tested, updated all of the patches.

Revision 1.103  2004/06/21 16:30:31  blues
- started upgrade to 5.2

Revision 1.102  2004/06/09 11:59:35  blues
- release 11

Revision 1.101  2004/06/09 11:40:57  blues
- release 10

Revision 1.100  2004/05/20 07:28:39  blues
- well... this post was not needed.

Revision 1.99  2004/05/20 07:27:05  blues
- release 9 - added clam-update patch, updated many others patches; STBR
  to AC (maybe to RA too?)

Revision 1.98  2004/04/28 12:01:38  blues
- release 8 - added clam-update.conf patch - use PLD locations of logs
  STBR to AC... for it would be nice too... this is half-security update

Revision 1.97  2004/04/13 08:05:14  blues
- release 7 - added sendmail patch

Revision 1.96  2004/04/01 11:04:52  blues
- release 6

Revision 1.95  2004/03/31 13:36:26  blues
- added amavis patch

Revision 1.94  2004/03/19 09:06:47  blues
- release 5

Revision 1.93  2004/03/19 08:25:16  blues
- pam_unix patch added

Revision 1.92  2004/03/16 06:43:22  blues
- crontab patch alive again

Revision 1.91  2004/03/13 21:01:58  blues
- release 4 - initial imap support

Revision 1.90  2004/03/09 07:51:18  blues
- release 3 - added pop3 support, removed it from courier filter, some ssh
  fixes

Revision 1.89  2004/02/16 07:32:53  blues
- release 2 - added patches: oidentd, http and postfix

Revision 1.88  2004/02/03 22:05:29  blues
- full final release 1. removed included patches

Revision 1.87  2004/02/03 09:21:12  blues
- release 18 - this is new beta release. Removed outdated patches and
  sources, updated rest of them.

Revision 1.86  2004/02/02 07:53:09  blues
- release 17 - many updated patches

Revision 1.85  2004/01/23 20:49:14  blues
- release 16 - support for oidentd, some updated patches

Revision 1.84  2004/01/18 17:43:49  blues
- release 15 - updated sendmail, postfix and proftpd patches

Revision 1.83  2004/01/14 08:38:00  blues
- release 14 - proftpd-messages patch added, many other updated

Revision 1.82  2004/01/05 11:37:50  blues
- release 13 - courier patch added (well, not quite good, but lets see what
  author will say...), updated many other patches

Revision 1.81  2003/12/26 00:20:33  blues
- release 12 - clam-update soource was some time ago included (-> removing)
  New patches: cron and named, updated few older

Revision 1.80  2003/12/25 20:25:11  blues
- release 11 - more macros in spec, added shaperd support off-line made
  (please, test it before I'll send it to author - only on Christmast I'm
  having anything to do with shaperd and small links... it suxx). STBR for
  AC?

Revision 1.79  2003/12/23 23:48:22  blues
- release 11 - pureftpd patch added (not tested, arekm wanted it...)

Revision 1.78  2003/12/23 22:24:19  blues
- release 10 - added http, pam_unix and modprobe patches (many new entries
  defined and some bugfixes)

Revision 1.77  2003/12/17 08:41:04  blues
- release 10 - postfix patch added with some bugfixes and new features

Revision 1.76  2003/12/17 07:22:22  blues
- release 8 - added patches: sshd, sendmail, secure, samba with lots of new
  logs classified.

Revision 1.75  2003/12/15 22:51:12  blues
- release 7 - this is next official beta (applied all of patches + few
  more extensions)

Revision 1.74  2003/12/10 08:05:24  blues
- release 6 - pam_unix patch added, postfix, http and samba patches updated

Revision 1.73  2003/12/09 10:59:37  blues
- release 5 - added http filter update (more file types, more stats)

Revision 1.72  2003/12/08 00:02:47  blues
- release 4 - config2 replaced with config3 patch (unified), updated
  patches: postfix, samba and modprobe. Added proftpd-messages.

Revision 1.71  2003/12/07 22:00:47  eothane
- wrong switch for patch3 (postfix) [was -p1, should be -p0]

Revision 1.70  2003/12/02 09:54:11  blues
- release 3 - clam-update log analisis by Lars Skjćrlund <lars@spinn.dk>
- user_login - count users logins; samba - disabled accounts reporting;
  postfix-sort replaced by enchanced postfix patch; config2 patch - some
  PLD-scecific entries.

Revision 1.69  2003/12/01 07:55:34  blues
- typo

Revision 1.68  2003/12/01 07:53:42  blues
- release 2 - dhcp_start-stop patch added (1 space more in message),
  postfix-sort patch added (sort printed message)

Revision 1.67  2003/11/26 16:46:11  blues
- pre5.1 - removed applied patches

Revision 1.66  2003/11/26 06:49:14  blues
- release 8 - dhcpd patch by Anssi Kolehmainen <kolean-5.listat@pp.inet.fi>

Revision 1.65  2003/11/25 10:22:16  blues
- release 7 - postfix_samba patch replaced by misc patch (ssh, sendmail,
  secure entries)

Revision 1.64  2003/11/24 15:52:47  blues
- release 6 - postfix4 patch replaced by postfix_samba patch (entries about
  samba)

Revision 1.63  2003/11/24 08:30:59  blues
- release 5 - postfix3 patch outdated, postfix4 patch added

Revision 1.62  2003/11/22 23:37:12  blues
- release 4 - postfix3 patch added - less unmatched entries

Revision 1.61  2003/11/18 09:08:58  blues
- postfix2 patch - ignore some unmatched entries

Revision 1.60  2003/11/18 08:38:31  blues
- release 3 - added xscreensaver patch

Revision 1.59  2003/11/17 09:42:14  blues
- release 2 - postfix and pam_unix patch added (less unmatched entries)

Revision 1.58  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.57  2003/11/10 19:22:36  blues
- final 5.0

Revision 1.56  2003/11/07 09:53:09  blues
- release 3 - added log_conf patch for standard PLD configuration

Revision 1.55  2003/11/07 09:34:56  blues
- release 2 - removed applied cosmetic patch and sed patching. It suxx -
  other version under the same tar-name... :(

Revision 1.54  2003/11/05 09:39:32  blues
- 5.0pre - removed all patches (applied), added config and cosmetic (change
  configuration and allow to live config patch across the versions).
  This is devel version - use with care (author woke up from loooong sleep)

Revision 1.53  2003/09/10 14:44:38  mick3y
- requires crondaemon (domelu)

Revision 1.52  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.51  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.50  2003/07/01 08:11:07  blues
- release 6 - added sendmail_detail patch, modprobe patch is back

Revision 1.49  2003/05/28 18:58:23  erjot
- req smtpdaemon

Revision 1.48  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 05:50:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/05/10 22:15:17  radek
- removed R: perl (implied by R: perl-modules)

Revision 1.45  2003/04/13 08:42:03  blues
- updated pam_unix2 patch (expiry entries) and temporary removed modprobe
  patch.

Revision 1.44  2003/04/03 13:05:02  blues
- fixed pre script - rpmsave and rpmnew will be moved too and conf
  directory will be removed now

Revision 1.43  2003/04/02 20:25:39  blues
- release 5; modprobe and pam_unix2 patches added; STBR to ra updates

Revision 1.42  2003/03/28 10:52:15  blues
- sendmail_warning patch added

Revision 1.41  2003/03/27 09:27:40  blues
- release 4 - added nice patch with sendmail statistics and amavis support

Revision 1.40  2003/03/25 08:39:09  blues
- release 3; added init patch; STBR to Ra updates general

Revision 1.39  2003/03/22 15:58:02  blues
- release 2 - removed all the links sorcery (not needed), dirs patch added
  STBR ASAP and remove broken logwatch from updates KJM!!!!

Revision 1.38  2003/03/21 13:52:20  blues
- release 1 - pre that allows smooth upgrade from previous versions

Revision 1.37  2003/03/21 09:55:26  blues
- 0.12

Revision 1.36  2003/03/21 09:21:50  blues
- sendmail patch renamed to more_features patch (with more features :) )

Revision 1.35  2003/03/20 08:23:27  blues
- added sendmail.patch (fixed some Unmatched Entries)

Revision 1.34  2003/03/02 03:47:46  blues
- 4.3.2 - works fine, but some magic-trigger is needed for smooth upgrade

Revision 1.33  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.32  2002/12/03 21:34:25  ankry
- cleaning

Revision 1.31  2002/11/29 13:17:56  roman
- added perl-modules to Requires:
- changed release from 2 to 3

Revision 1.30  2002/11/20 12:56:08  blues
- release 2 - moved perl scripts to better place - perl deps are complete
  now; more docs - STBR

Revision 1.29  2002/10/31 14:31:16  blues
- use perl deps finding

Revision 1.28  2002/10/30 07:49:52  blues
- 4.2.1 - STBR

Revision 1.27  2002/06/30 18:14:34  blues
- 3.3 (more filters, few fixes)
  STBR

Revision 1.26  2002/06/18 10:00:43  blues
- 3.2 (many bugfixes, few new features)
  STBR

Revision 1.25  2002/05/23 14:13:12  pioklo
- up to 3.1, new %doc

Revision 1.24  2002/05/05 13:36:06  kloczek
- License changed to MIT.

Revision 1.23  2002/05/05 12:59:40  blues
- 3.0 (new filters, some updated)

Revision 1.22  2002/04/28 12:34:12  blues
- 2.9 (more rules added)
- URL added
- mktemp patch commented out - it's empty...
  STBR

Revision 1.21  2002/04/19 12:09:58  pioklo

- up to 2.8.5, STBR

Revision 1.20  2002/04/10 11:05:23  lukasz
- 2.8

Revision 1.19  2002/04/05 14:55:45  pioklo
- up to 2.7,STBR

Revision 1.18  2002/04/04 07:59:56  kloczek
- merge mktemp rawhide patch.

Revision 1.17  2002/04/04 07:47:07  qboosh
- SECURITY update to 2.6 (one more exploitable tmp race)
- fixed group

Revision 1.16  2002/03/28 10:24:22  lukasz
- Released 0.1->1

Revision 1.15  2002/03/28 10:15:39  lukasz
- 2.5 (This release fixes a root exploit using a race condition in /tmp)

Revision 1.14  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:45  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/23 13:08:45  orzech
- group{pl,de} in logwatch.spec
- s/Copyright/License/ - both

Revision 1.11  2000/10/04 01:23:52  kloczek
- use rpm new automation suit.

Revision 1.10  2000/10/03 11:20:43  wiget
- 2.1.1

Revision 1.9  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  1999/07/13 22:34:43  kloczek
- scripts/shared/{onlycontains,remove} are also POSIX sh scripts.

Revision 1.6  1999/07/13 22:24:44  kloczek
- scripts/services/zz-fortune is clean POSIX sh csript (no bash).

Revision 1.5  1999/07/13 22:17:45  kloczek
- %clean before %files.

Revision 1.4  1999/07/13 22:09:56  wiget
- updated to 1.6.6

Revision 1.3  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
